
var defaultValue = {
    pageTransition : animateTypeKeys.Type_Slide,
    pageTransitionPeriod : 1,
    bookmarkData : [],
    memoData: [],
    markingData: [],
    isMarkingDsp : false,
    isMemoDsp: false,
    userOpt_marking : 'N'
};

//Get param url
function getUrlParams(name){
    name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");  
    var regexS = "[\\?&]"+name+"=([^&#]*)";  
    var regex = new RegExp( regexS );  
    var results = regex.exec( window.location.href ); 
    if( results == null ){
        return "";
    }      
    else{
        return results[1];
    }
};

$(document).ready(function(){
     if(!avwUserSessionObj){
       avwCreateUserSession(); 
    }          
               
    ClientData.userInfo_sid(getUrlParams('sid'));
    ClientData.userInfo_accountPath(getUrlParams('urlpath'));
    ClientData.contentInfo_contentId(getUrlParams('contentId'));
    contentID = getUrlParams('contentId');
    pid = contentID;
    
    
    ClientData.userOpt_pageTransition(defaultValue.pageTransition);
    ClientData.userOpt_pageTransitionPeriod(defaultValue.pageTransitionPeriod);
    ClientData.BookMarkData(defaultValue.bookmarkData);
    ClientData.MemoData(defaultValue.memoData);
    ClientData.MarkingData(defaultValue.markingData);
    ClientData.userOpt_makingDsp(defaultValue.isMarkingDsp);
    ClientData.serviceOpt_marking(defaultValue.userOpt_marking);
    ClientData.IsAddingMarking(false);
    ClientData.IsAddingMemo(false);
    ClientData.IsDisplayMarking(false);
    ClientData.IsDisplayMemo(false);
    
});
